Car Door Handle Dataset (CDHD)
==============================
For more information visit

http://vision.cs.illinois.edu/projects/litland/

If you use the provided annotations for a publication please cite the paper at
the above url.

Learning to Localize Little Landmarks.
Saurabh Singh, Derek Hoiem and David Forsyth. 
In Computer Vision and Pattern Recognition (2016). 


Additionally, please cite the original source of images
http://ai.stanford.edu/~jkrause/cars/car_dataset.html

Details
=======

This dataset contains annotations for the car door handles. A subset of the
Stanford Cars Dataset was annotated with 2D location of the door handles of the
visible front door.

Provided matfile contains following variables

cdhd: struct array containing door handle annotations
annotated: Index of the annotated images in the original car dataset.

The struct array 'cdhd' has following fields

coords: 2D coordinates of the front door handle
filepath: Path of the image relative to a root containing the images dir.
imgdims: Size of the image
istrain: true if it is a training image (uses the train/test split of original
    dataset).
istest: true if it is a testing image
is_visible: true if door handle is visible. Note that for some of the images
    with a frontal view of the car, annotators marked them as invisible. Such
    images were ignored during training/testing.
class: Class in the original dataset.
bbox: bounding box of the car (as in original dataset).

Use
===

1) Download the dataset images from the following link into <img_root>
http://ai.stanford.edu/~jkrause/cars/car_dataset.html

2) Rename the images folder to 'car_ims'

3) Load the provided mat file in matlab.

4) Visualize

>> figure(1); clf; imshow(imread([<img_root> cdhd(1).filepath]));
>> hold on; plot(cdhd(1).coords(1), cdhd(1).coords(2), 'rx');


